package com.jz.dmp.modules.controller.sys.bean;

import java.util.Date;

import com.jz.common.bean.BasePageBean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**角色表参数请求封装
 * @author ybz
 *
 */
@ApiModel(value = "角色表参数请求封装", description = "角色表参数请求封装")
public class DmpRoleRequest extends BasePageBean {
	/**
	* 角色ID
	*/
	@ApiModelProperty(value = "角色ID")
	private Integer roleId;

	/**
	* 角色编码
	*/
	@ApiModelProperty(value = "角色编码")
	private String roleCode;

	/**
	* 角色名称
	*/
	@ApiModelProperty(value = "角色名称")
	private String roleName;

	/**
	* 角色描述
	*/
	@ApiModelProperty(value = "角色描述")
	private String roleDesc;

	/**
	* 角色类型
	*/
	@ApiModelProperty(value = "角色类型")
	private String roleType;

	/**
	* 备注
	*/
	@ApiModelProperty(value = "备注")
	private String remark;

	/**
	* 数据状态(0：删除，1，未删除)
	*/
	@ApiModelProperty(value = "数据状态(0：删除，1，未删除)")
	private String dataStatus;

	/**
	* 创建用户ID
	*/
	@ApiModelProperty(value = "创建用户ID")
	private Integer createUserId;

	/**
	* 创建时间起
	*/
	@ApiModelProperty(value = "创建时间起")
	private Date createTimeStart;

	/**
	* 创建时间止
	*/
	@ApiModelProperty(value = "创建时间止")
	private Date createTimeEnd;

	/**
	* 修改用户ID
	*/
	@ApiModelProperty(value = "修改用户ID")
	private Integer updateUserId;

	/**
	* 修改时间起
	*/
	@ApiModelProperty(value = "修改时间起")
	private Date updateTimeStart;

	/**
	* 修改时间止
	*/
	@ApiModelProperty(value = "修改时间止")
	private Date updateTimeEnd;

	public Integer getRoleId() {
		return roleId;
	}

	public void setRoleId(Integer roleId) {
		this.roleId = roleId;
	}

	public String getRoleCode() {
		return roleCode;
	}

	public void setRoleCode(String roleCode) {
		this.roleCode = roleCode;
	}

	public String getRoleName() {
		return roleName;
	}

	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}

	public String getRoleDesc() {
		return roleDesc;
	}

	public void setRoleDesc(String roleDesc) {
		this.roleDesc = roleDesc;
	}

	public String getRoleType() {
		return roleType;
	}

	public void setRoleType(String roleType) {
		this.roleType = roleType;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getDataStatus() {
		return dataStatus;
	}

	public void setDataStatus(String dataStatus) {
		this.dataStatus = dataStatus;
	}

	public Integer getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(Integer createUserId) {
		this.createUserId = createUserId;
	}

	public Date getCreateTimeStart() {
		return createTimeStart;
	}

	public void setCreateTimeStart(Date createTimeStart) {
		this.createTimeStart = createTimeStart;
	}

	public Date getCreateTimeEnd() {
		return createTimeEnd;
	}

	public void setCreateTimeEnd(Date createTimeEnd) {
		this.createTimeEnd = createTimeEnd;
	}

	public Integer getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(Integer updateUserId) {
		this.updateUserId = updateUserId;
	}

	public Date getUpdateTimeStart() {
		return updateTimeStart;
	}

	public void setUpdateTimeStart(Date updateTimeStart) {
		this.updateTimeStart = updateTimeStart;
	}

	public Date getUpdateTimeEnd() {
		return updateTimeEnd;
	}

	public void setUpdateTimeEnd(Date updateTimeEnd) {
		this.updateTimeEnd = updateTimeEnd;
	}
}
